Subject: mboned: note that this could effect the size of the eglop space [[email-masked]: Re: [ppml] Proposed Policy: 4-Byte AS Number Policy Proposal]

From: David Meyer <[email-masked]>
Date: Mon, 12 Dec 2005 15:15:41 -0800

----- Forwarded message from Geoff Huston <[email-masked]> -----

> From: Geoff Huston <[email-masked]>
> To: Rich Emmings <[email-masked]>, [email-masked]
> Subject: Re: [ppml] Proposed Policy: 4-Byte AS Number Policy Proposal
> Date: Tue, 13 Dec 2005 09:57:13 +1100
> 
> At 09:36 AM 13/12/2005, Rich Emmings wrote:
> >A possible addition is for space to be left aside in the proposal for 
> >private 4 byte AS numbers, perhaps:
> >
> >   1) in the same range as the 2 byte range, i.e. 64512 - 65534:x or
> >   2) in each range (x:64512 - 65534)
> 
> 
> While I have heard of folk indicating that the private IPv4 address space 
> is too small, I have not heard of anyone saying that the 1023 AS numbers 
> reserved for private use is too small. If there is a broad perception that 
> the space is too small then we'd either need to go down the path of a 
> global policy to reserve additional space or possibly head down the IETF 
> Standards track document path. Both represent significantly greater 
> thresholds than this relatively simple policy proposal. I'd suggest that 
> expansion of the private AS number space be considered as a separate topic 
> and the merits or otherwise of such a proposal be considered without tying 
> it up with this transition policy.
> 
> 
> 
> >Notes: a) not sure the status of AS23456 with regard to this, if any.
> 
> 
> as23456 is reserved for use as a transition AS in 
> draft-ietf-idr-as4bytes-12.txt - no further RIR action is required 
> regarding this particular AS number.
> 
> 
> >         b) administrative ease is addressed here by using the same range, 
> > at the possible expense of "c"
> >         c) efficiency of allocation is not -- could be with a small range 
> > at the top, at the expense of "b"
> 
> 
> it is unclear to me what your point is here.
> 
> 
> 
> >In addition, documention-only ASN's may be of use, ala the IPv4 addresses in
> >RFC3330.  While the private range can be used, in BGP documentation, as with
> >others, it's harder to determine 'public' from 'private' when only private
> >space is used.
> 
> Again, this may well benefit from being a distinct policy proposal.
> 
> regards,
> 
>     Geoff
> 
> 
> 
> 
> _______________________________________________
> PPML mailing list
> [email-masked]
> http://lists.arin.net/mailman/listinfo/ppml

----- End forwarded message -----